Bug 845097 - abrt combines backtraces of unrelated bugs into one Bugzilla bug
abrt combines backtraces of unrelated bugs into one Bugzilla bug
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
: 870371 (view as bug list)
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2012-08-01 14:41 EDT by Egon Kastelijn
Modified: 2013-07-12 03:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 03:52:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Egon Kastelijn 2012-08-01 14:41:00 EDT
Description of problem:
Abrt combines backtraces of unrelated bugs into one Bugzilla bug

Version-Release number of selected component (if applicable):
abrt-2.0.10-4.fc17.x86_64

How reproducible:
Here is a bug which shows that two different backtraces are combined into one Bugzilla bug:
https://bugzilla.redhat.com/show_bug.cgi?id=708467#c10

Steps to Reproduce:
n/a
  
Actual results:
Abrt searches for duplicate bugs, but makes a wrong match and adds the backtrace under an unrelated Bugzilla bug.

Expected results:
Correct searching for duplicate bugs.

Additional info:
Comment 1 Egon Kastelijn 2012-08-01 14:44:13 EDT
Quote from bug 708467:

...thus this might be good to report to ABRT, their condition for backtrace matching (probably how deep in backtrace they should go for hash computation) is not sufficient...
Comment 2 Michal Toman 2012-08-02 03:25:16 EDT
By quickly looking at the backtraces I'd say the problem in both of them is passing NULL to g_str_hash, so actually ABRT algorithm worked as expected.
Comment 3 Jakub Filak 2012-08-02 07:02:42 EDT
Michal, you are right, algorith works as expected, but as Egon wrote in comment #1 the depth limit is not sufficient. The current depth limit is set to 3 frames thus different problems are merged in bug 708467.

ABRT tries to avoid this inappropiate merging of unrelated problems by searching for duplicates only for the problem component and not for all bugs from bugzzila. bug 708467 has component 'evolution-rss' and I guess, that Egon's problem component is 'evolution'. Therefore, I have a question, how it is possible that those two problems were merged?

IMHO the depth limit is not cause of the unwanted merging of problems. I'd say that the root cause is broken bugzilla searching.
Comment 4 Michal Toman 2012-08-02 07:30:21 EDT
Since F17 ABRT server for deduplication. It uses top 8 frames and searches for duplicates in the component and all of its dependencies.

abrt_hash (counted from top 3 frames) is deprecated and standard ABRT installation only uses it as a fallback.
Comment 5 Egon Kastelijn 2012-08-09 14:12:59 EDT
I found another example where even more unrelated backtraces are combined into one bug:

https://bugzilla.redhat.com/show_bug.cgi?id=720781#c90

kind regards,

   Egon
Comment 6 Egon Kastelijn 2012-08-31 09:37:15 EDT
Could this be a duplicate of bug 802477 ?
Comment 7 Jakub Filak 2012-10-26 07:06:39 EDT
*** Bug 870371 has been marked as a duplicate of this bug. ***
Comment 8 Yann Droneaud 2012-10-26 07:16:36 EDT
(In reply to comment #6)
> Could this be a duplicate of bug 802477 ?

Yes, It's sound like a duplicate.
Comment 9 Fedora End Of Life 2013-07-04 01:21:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Egon Kastelijn 2013-07-11 14:48:17 EDT
I don't experience this problem any more under Fedora 19.
I am running abrt-2.1.5-1.fc19.x86_64 at the moment.
Comment 11 Jiri Moskovcak 2013-07-12 03:52:06 EDT
(In reply to Egon Kastelijn from comment #10)
> I don't experience this problem any more under Fedora 19.
> I am running abrt-2.1.5-1.fc19.x86_64 at the moment.

Thanks for the update -> closing.

Note You need to log in before you can comment on or make changes to this bug.